%define module   Authen-Simple-LDAP
%define version    0.2
%define release    %mkrel 1

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Simple LDAP authentication
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Authen/%{module}-%{version}.tar.gz
BuildRequires: perl(Authen::Simple)
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Authenticate against a LDAP service.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1mdv2009.1
+ Revision: 292550
- import perl-Authen-Simple-LDAP


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1mdv2009.1
- initial mdv release, generated with cpan2dist
